MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Friends
MyGUI::xml::ElementType Struct Reference

`#include <MyGUI_XmlDocument.h>`

## Public Types
enum | Enum { Comment, Declaration, Normal, MAX }

## Public Member Functions
| ElementType (Enum _value=MAX)
int | getValue () const

## Friends
bool | operator== (ElementType const &a, ElementType const &b)
bool | operator!= (ElementType const &a, ElementType const &b)

## Detailed Description

Definition at line 27 of file MyGUI_XmlDocument.h.

## Member Enumeration Documentation

enum MyGUI::xml::ElementType::Enum

Enumerator
Comment |
Declaration |
Normal |
MAX |

Definition at line 29 of file MyGUI_XmlDocument.h.

## Constructor & Destructor Documentation

MyGUI::xml::ElementType::ElementType | ( | Enum | _value = `MAX` | ) |
| inline

Definition at line 37 of file MyGUI_XmlDocument.h.

## Member Function Documentation

int MyGUI::xml::ElementType::getValue | ( |  | ) | const
| inline

Definition at line 47 of file MyGUI_XmlDocument.h.

## Friends And Related Function Documentation

bool operator!= | ( | ElementType const & | a,
|  | ElementType const & | b
| ) |  |
| friend

Definition at line 42 of file MyGUI_XmlDocument.h.

bool operator== | ( | ElementType const & | a,
|  | ElementType const & | b
| ) |  |
| friend

Definition at line 38 of file MyGUI_XmlDocument.h.

The documentation for this struct was generated from the following file:

- MyGUI_XmlDocument.h